fr::crypto::DH_size(3SSL)

NOM
DH_size - Obtenir la taille d'un nombre premier de Diffie-Hellman

SYNOPSIS
 #include <openssl/dh.h>

 int DH_size(DH *dh);

DESCRIPTION
Cette fonction renvoie la taille d'un nombre premier Diffie-Hellman en octets. Elle peut être utilisée pour déterminer combien de mémoire va être allouée pour le secret partagé calculé par DH_compute_key().

dh->p ne doit pas être NULL.

VALEUR DE RETOUR
La taille en octets.

VOIR AUSSI
dh(3), DH_generate_key(3)

HISTORIQUE
DH_size() est disponible dans toutes les versions de SSLeay et d'OpenSSL.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.